<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\TeilnehmerInfo\Detailsreiter\Bankverbindungen;

abstract class BankverbindungenController extends \Kufer\KuferTools\Basis\Controller\AjaxToolController
{
  protected $statusMsg;

  public function __construct($pStatusMsg = null)
  {
    $this->statusMsg = $pStatusMsg;
  }

  protected function getRequestObj()
  {
    $requestObj = new BankverbindungenRequest();
    $requestObj->tnr = \GetOperations::getVarValue('tnr');
    $requestObj->tguid = \GetOperations::getVarValue('tguid', null);
    $requestObj->statusMsg = $this->statusMsg;

    return $requestObj;
  }
}